Bug 523864 - Stupid dangerous ACPI interceptor
Summary: Stupid dangerous ACPI interceptor
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 22:01 UTC by Nicolas Mailhot
Modified: 2009-09-25 14:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 09:27:42 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-09-16 22:01:43 UTC
Description of problem:

For years the software power off ACPI button has been a precious tool to shut down cleanly a wedged system

Now some guy decided it would be smart to intercept this immediate shutdown order and block while demanding confirmation in a GUI mousy popup (when gnome/X/evdev are the first things to go away in case of problems)

Please remove this nonsense it is actively dangerous, I've already lost some data because it left me hard reset as the only option

Comment 1 Toshio Kuratomi 2009-09-17 04:54:49 UTC
Do you know which program is doing the interception?  gnome-common is a package that helps in building gnome applications, it doesn't have anything to do with a running system.

If you can't trace what it is, my best guess would be gnome-power-manager.

Comment 2 Nicolas Mailhot 2009-09-17 06:06:03 UTC
No idea. I only used power of in crash mode when I had no possibility to investigate

Comment 3 Richard Hughes 2009-09-17 18:10:10 UTC
Well, we're certainly not going to make the power button just shutdown without confirmation. If you hold down the power button for more than 5 seconds, ACPI will reset the machine for you, independant of Linux.

Comment 4 Nicolas Mailhot 2009-09-17 19:32:21 UTC
Thank you but no, I already have a reset button on the system (and yanking the power cord works as well)

The point of the software reset button is to get clean software shut downs. It had worked admirably in the past, between X crashes, kernel oopses, whatever

Now you've made it completely disfonctionnal

Comment 5 Adam Williamson 2009-09-18 17:00:14 UTC
FWIW I agree entirely. if the system is sufficiently wedged that you can't do any keyboard / mouse input, but the kernel's still running, you ought to be able to _press_ - not hold - the power button and get a nice clean shutdown (just like running 'poweroff'). this is very sane behaviour that I've come to rely on, just like Nic. breaking it in this happy-clappy 'friendly' fashion is intensely annoying.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Matthias Clasen 2009-09-24 19:02:41 UTC
I recommend to wontfix this. 

There is a lot of emotion in this bug report, but not a lot of fact. A 'wedged system' is not a good argument for taking out entirely reasonable confirmation dialogs.

Comment 7 Adam Williamson 2009-09-24 19:19:13 UTC
um. I've hit this situation multiple times. it's really not that unusual for X to barf so comprehensively you can't do anything interactively, but for the kernel to still be working enough that hitting the power button does a clean shutdown. You could probably ssh into a system in such a state much of the time, but that's not always convenient/possible (think person with one system. Or person out using a laptop somewhere).

Besides which, this is just crap UI. A power button is a _power button_, it's supposed to turn the power off (or on). When I hit the power button on any other device I own, it doesn't ask me if I actually wanted to do something else instead. If I did, I wouldn't have hit the power button. What's the rationale behind implementing this 'helpful' window in the first place?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Matthias Clasen 2009-09-24 19:49:19 UTC
on those other devices, the power button is probably not located right next to the print screen button though...

Comment 9 Matthias Clasen 2009-09-24 19:50:41 UTC
...and if the 'crap ui' bothers you so much, just use the crap ui preference dialog to change the behaviour.

Comment 10 Nicolas Mailhot 2009-09-24 20:33:31 UTC
(In reply to comment #8)
> on those other devices, the power button is probably not located right next to
> the print screen button though...  

This is only the case for laptops, and not even most of them, and besides a laptop #1 problem is battery and no one is going to thank you for making easier to abort a shutdown and drain the battery when the user initiated a power-saving shutdown

(In reply to comment #9)
> ...and if the 'crap ui' bothers you so much, just use the crap ui preference
> dialog to change the behaviour.  

As as already been stated the crap ui gets in the way when you have no chance to use it, let alone start a preference dialog to change its behaviour

Comment 11 Richard Hughes 2009-09-25 08:07:58 UTC
(In reply to comment #5)
> FWIW I agree entirely. if the system is sufficiently wedged that you can't do
> any keyboard / mouse input, but the kernel's still running, you ought to be
> able to _press_ - not hold - the power button and get a nice clean shutdown
> (just like running 'poweroff').

Then you need to implement something in the kernel. If userspace is frozen then all bets are off.

(In reply to comment #10)
> As as already been stated the crap ui gets in the way when you have no chance
> to use it, let alone start a preference dialog to change its behaviour  

If you want to make the shutdown button do an immediate shutdown, you need to change it before the system gets wedged. You can't expect gnome-power-manager to "know" that the system is wedged, and just do an immediate shutdown rather than try to be nice and shutdown the session first.

You either want a confirmation or you don't. That's what the preferences are for. I'm certainly not changing the default.

(In reply to comment #6)
> I recommend to wontfix this. 

Agreed. Sorry guys.

Comment 12 Nicolas Mailhot 2009-09-25 08:45:40 UTC
(In reply to comment #11)
> (In reply to comment #5)
> > FWIW I agree entirely. if the system is sufficiently wedged that you can't do
> > any keyboard / mouse input, but the kernel's still running, you ought to be
> > able to _press_ - not hold - the power button and get a nice clean shutdown
> > (just like running 'poweroff').
> 
> Then you need to implement something in the kernel. If userspace is frozen then
> all bets are off.

Sorry but you can't get away like this, we have many years of experience on the previous system (that you chose to preempt) and it *worked*

> (In reply to comment #10)
> > As as already been stated the crap ui gets in the way when you have no chance
> > to use it, let alone start a preference dialog to change its behaviour  
> 
> If you want to make the shutdown button do an immediate shutdown, you need to
> change it before the system gets wedged. You can't expect gnome-power-manager
> to "know" that the system is wedged, and just do an immediate shutdown rather
> than try to be nice and shutdown the session first.
> You either want a confirmation or you don't. That's what the preferences are
> for. I'm certainly not changing the default.

The default should be safe. Your default is not safe. You won't get any friends by telling people who discover this breakage at crash time "sorry, guys, but you should have changed my stupid default before your system crashed".

(not having to fiddle with defaults to have a sane system is supposed to be GNOME's philosophy BTW)

We've already established your default makes no sense except on laptops, and not even all of them. The minimum would be to enable it on laptops only, this will still be stupid but at least less people would hit this problem (and don't tell me an utility that deals with power management is not able to detect if a system is a laptop)

Comment 13 Richard Hughes 2009-09-25 09:03:22 UTC
Please stop re-opening this bug. I've closed it twice now. I'm the maintainer of gnome-power-manager, I choose the defaults based on more feedback than just yours. Matthias has more years of experience than all of us on the desktop side of things, and he says close WONTFIX. If you want to install acpid and configure it, that's your idea of fun. If you want to write a kernel handler for the power button (and registration interface) then I wish you good luck.

Just to repeat: I'm not changing the default to just shutdown without confirmation. If you want that you can configure it in the GUI.

Maybe you should just file a bug about X crashing or the kernel locking up userspace?

Comment 14 Nicolas Mailhot 2009-09-25 09:15:37 UTC
I've already filed a bug. Right now it's in "sorry, no traces or logs to show you at all because gnome-power-manager interferes with system software shutdown" state.

And please stop assuming Adam or me have no experience. This is very annoying

Comment 15 Richard Hughes 2009-09-25 09:27:42 UTC
(In reply to comment #14)
> And please stop assuming Adam or me have no experience. This is very annoying  

I don't think that at all. I'm just thinking of users other than Adam and yourself.

Open this bug again and I'll add this bug to my killfile.

Comment 16 Adam Williamson 2009-09-25 14:43:49 UTC
"I don't think that at all. I'm just thinking of users other than Adam and
yourself."

Ah, the old 'appeal to all those convenient people who agree with me but can't be bothered to show up and say so'. A very handy argument because it's impossible to oppose. I think someone called it the 'silent majority', once...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 17 Richard Hughes 2009-09-25 14:50:53 UTC
(In reply to comment #16)
> Ah, the old 'appeal to all those convenient people who agree with me but can't
> be bothered to show up and say so'.

They don't know how, or don't care either way.

> A very handy argument because it's
> impossible to oppose. I think someone called it the 'silent majority', once...

No, I'm designing all my stuff with these people in mind: http://www.packagekit.org/pk-profiles.html

These are real people, family and friends.

Richard.


Note You need to log in before you can comment on or make changes to this bug.